# Registre des IP milkywan et Hurricane Electric

## HE

On a un `/64` uniquement routé via un tunnel 6in4:
 - IP de lien local: `2001:470:1f12:187::2/64`
 - IP de lien Remote: `2001:470:1f12:187::1/64`
 - Endpoint ipv4: `216.66.84.42`/`129.199.146.230`

| Préfixe | Attribution |
|-|-|
| `2001:470:1f13:187::/64` | he-dmz, vlan 2530 |

## MWAN

### IPv4

#### `45.13.104.24/29`

Routé via SIIT sur le vlan mwan-siit (2520)

| IP | Attribution | Mainteneur |
|----|-------------|------------|
| `.25` | `labcore01` | Maurice |
| `.26` |  |  |
| `.27` |  |  |
| `.28` |  |  |
| `.29` |  |  |
| `.30` |  |  |

#### `2a0e:e701:1120::/48`


| Préfixe | Attribution | Mainteneur |
|---------|-------------|------------|
| `2a0e:e701:1120::/64` | IPv6 pour les routeurs, sur les interfaces du GRE | Maurice |
| `2a0e:e701:1120:1000::/64` | DMZ mwan sur le vlan 2520 mwan-siit | Maurice |
| `2a0e:e701:1120:ffff::/96` | pool6 du siit | Maurice |

