{ sources, ... }:
let
  proxmox-nixos = import sources.proxmox-nixos;
in
{
  imports = [ proxmox-nixos.nixosModules.proxmox-ve ];
  services.proxmox-ve = {
    enable = true;
    openFirewall = false;
  };
  nixpkgs.overlays = [ proxmox-nixos.overlays.x86_64-linux ];
}
